#
# spec file for package python3-ConcurrentLogHandler
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-ConcurrentLogHandler
Version:        0.9.1
Release:        4.6
Summary:        Concurrent logging handler
Url:            http://pypi.python.org/pypi/ConcurrentLogHandler
License:        Apache-2.0
Group:          Development/Libraries/Python
Source:         https://files.pythonhosted.org/packages/source/C/ConcurrentLogHandler/ConcurrentLogHandler-%{version}.tar.gz
Patch0:         ConcurrentLogHandler-0.9.1-testpath.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description
This module provides an additional log handler for Python's standard logging
package (PEP 282). This handler will write log events to log file which is
rotated when the log file reaches a certain size. Multiple processes can safely
write to the same log file concurrently.

%prep
%setup -q -n ConcurrentLogHandler-%{version}
%patch0

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --install-data=%_defaultdocdir/%name

%files
%defattr(-,root,root)
%doc README LICENSE
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * update copyright year
  * remove ifs for opensuse version <=1220
  * remove variable modname
* Wed Oct 23 2013 toddrme2178@gmail.com
- Add BuildRequires: python3 for openSUSE 12.2, so hashlib is
  available.
* Thu Sep 26 2013 p.drouand@gmail.com
- Initial python3 support
* Thu Sep 26 2013 p.drouand@gmail.com
- Update to version 0.9.1
  + Bug fixes - LP Bug 1199332 and LP Bug 1199333
  +  More gracefully handle out of disk space scenarios. Prevent release()
    from throwing an exception
  +  Handle logging.shutdown() in Python 2.7+. Close the lock file stream
    via close()
- Changes between 0.9.0 and 0.8.6
  + Now requires Python 2.6+
  + Revamp file opening/closing and file-locking internals
  + Add the 'delay' parameter (delayed log file opening) to better match
    the core logging functionality in more recent version of Python.
  + For anyone still using Python 2.3-2.5, please use the latest 0.8.x release
- Changes between 0.8.6 and 0.8.5
  + Fix a small packaging bug from the 0.8.5 release.
  + Updated stresstest.py to always use the correct python version when
    launching sub-processes instead of the system's default "python"
- Changes between 0.8.5 and 0.8.4
  + Bugs resolved Red Hat Bug #858912 and Python Bug #15960
  + Updated ez_setup.py to 0.7.7
  + Updated portalocker to 0.3
  + Initial Python 3 support
  + Fixed minor spelling mistakes
- Rebase specfile
- Rebase ConcurrentLogHandler-0.8.4-testpath.patch to work with upstream changes
* Tue Jun 22 2010 hvogel@novell.com
- Initial Package, Version 0.8.4
